Curriculum Vitae -NL- **`Mukund Agarwal`[NAME]** CEng -NL- 23 Mckenzie Way -NL- Email: **`agarwal_m@icloud.com`[EMAILS_EMAIL]** -NL- Epsom -NL- Mobile: **`07595834255`[PHONES_PHONE]** -NL- KT19 7ND -NL- Nationality: British -NL- Senior iOS engineer, 11 years experience as software engineer. Strong capability building apps using Swift. -NL- Background in algorithms design in wireless industry. Particular expertise in UI, both in design reviews & -NL- implementation. Also experienced in people management and release management. Up to date with latest iOS -NL- features and WWDC developments. -NL- Languages: Swift, Objective-C, Python, C, C++, Kotlin -NL- Tools: Xcode, Bitrise, Carthage, CocoaPods, Fabric and TestFlight. -NL- **`RELEVANT WORK EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- Dates Employed -NL- Job Title -NL- Company -NL- Location -NL- 02/2020 – Present **`iOS Team Lead`[EMPLOYER_ROLE]** -NL- **`Peak`[EMPLOYER_COMPANY_NAME]** -NL- London, United Kingdom -NL- 07/2019 – 02/2020 **`Senior iOS Developer`[EMPLOYER_ROLE]** -NL- **`The App Business`[EMPLOYER_COMPANY_NAME]** -NL- London, United Kingdom -NL- Project lead for Natwest Bankline app designed for business accounts customer specifically. -NL- • Lead a team of 2 iOS developers to implement features such as mandatory biometrics enrolment, -NL- international payments, improved accessibility and confirmation of payee. -NL- • App handled £2 billion worth of transactions. -NL- • Winner of Best Industry Innovation of the Year and Best Initiative in Digital Payments awards. -NL- 02/2017 – 07/2019 **`iOS Developer`[EMPLOYER_ROLE]** -NL- **`SilverRail (Expedia Group)`[EMPLOYER_COMPANY_NAME]** London, United Kingdom -NL- Worked on a ticket-less mobile solution for UK rail (think “Oyster for rail”). -NL- • Used locations services and live train time table to detect which train the user boarded. -NL- • The app won Railway Innovation Awards 2017 (Passenger experience category). -NL- • Personally implemented majority of UI in Swift. -NL- • Used Carthage to divide the project into libraries for easier management. -NL- • Set up continuous deployment setup via Bitrise, BitBucket, Slack, JIRA, Fabric and Testflight. -NL- • Experience in debugging crash report via Crashlytics and other issues via Xcode Instruments. -NL- • Involved in app security testing and PCI compliance. -NL- • Performed technical audit for a joint acquisition between Expedia, SNCF and SilverRail. -NL- • Designed and implemented Weekend Getaways which won Silver award in 2018 London Design Awards. -NL- • Gave a tech talk on the challenges faced during the project at iOSDevUK 2018. -NL- • Implemented some features of the Android app in Kotlin. -NL- • Led a team for 2-week hackathon project, successfully designed, developed Departure Board app. -NL- 06/2016 – 02/2017 **`Lead iOS Engineer`[EMPLOYER_ROLE]** -NL- **`Tapdaq`[EMPLOYER_COMPANY_NAME]** -NL- London, United Kingdom -NL- Responsible for building and maintaining the advertisement mediation iOS SDK. -NL- https://github.com/tapdaq/tapdaq-ios-sdk -NL- • Implemented the SDK in Objective-C. -NL- • Worked according to Agile principles using Scrum methodology and estimation for timely deliveries. -NL- • Developed a debugger view which could be used by a developer for integration testing. -NL- • Took a leading role in team discussions and managed external contractors. -NL- • Identified code smells, race conditions, and able to refactor code when appropriate. -NL- • Deployed applications via TestFlight and Hockeyapp. -NL- 09/2015 – 06/2016 **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- **`Moving Picture Company`[EMPLOYER_COMPANY_NAME]** -NL- London, United Kingdom -NL- Supported the full life-cycle of software products from design to maintenance and support, whilst constantly -NL- improving the software to address new challenges. -NL- • Worked on Data Calc Pro 2 iOS app -NL- o The app is used for pre and post production calculations. -NL- o Added new features and fixed bugs. -NL- o Migrated legacy Objective-C code to Swift. -NL- o Added unit and automated UI testing so every public release got tested thoroughly. -NL- o Distributed internal test builds via TestFlight. -NL- • Developed in-house creating software for the visual effects pipeline under tight deadlines. -NL- • Looked after software for asset, production, system management, and third-party tool integration. -NL- • Interviewed candidates to expand the team. -NL- 07/2011 – 09/2015 **`Software Engineer `[EMPLOYER_ROLE]**-NL- **`Qualcomm`[EMPLOYER_COMPANY_NAME]** -NL- Farnborough, United Kingdom -NL- Involved from conception to final commercialisation of physical layer features on GSM/GPRS/EDGE technologies. -NL- • Daily software development using C, C++, Perl, Matlab and UNIX skills. -NL- • Architectural implementation of modem signal processing algorithms in hardware/firmware. -NL- • Created several internal tools to reduce time taken during investigation and research. -NL- • Worked with the legal team for 7 joint patents applications. -NL- 10/2009 – 07/2011 **`iOS - Project Specialist`[EMPLOYER_ROLE]** -NL- **`Apple`[EMPLOYER_COMPANY_NAME]** -NL- Uxbridge, United Kingdom -NL- Assisted in carrier technical acceptance and product launch for iPhone 3GS, iPhone 4, iPad and iPad 2 -NL- • Implemented network operator’s settings in iOS software releases. -NL- • Created technical release notes for software updates. -NL- • Verified bug fixes and issues in software releases. -NL- 06/2007 – 08/2008 **`Software Engineering Intern`[EMPLOYER_ROLE]** **`Qualcomm`[EMPLOYER_COMPANY_NAME]** -NL- Farnborough, United Kingdom -NL- NOTABLE PROJECTS -NL- **`MSc`[EDUCATION_DEGREE]** – **`Optimisation of Power Scanning Method in GSM`[PROJECT_TITLE]** -NL- - For the user it meant less time taken for the phone to camp on to a GSM network and extended talk/browsing time -NL- - Simulations done in Matlab and implementation done in C/C++ on UNIX -NL- - Patent filed: http://google.com/patents/US20150245294 -NL- **`BEng`[EDUCATION_DEGREE]** Hons -**` Face Detection and Recognition System`[PROJECT_TITLE]** -NL- - The aim was to develop and release a freeware “motion detection, face detection and face recognition” system with a -NL- reasonable performance rate -NL- - The software was released on the Matlab Central website and is still averages 150-200 downloads every month -NL- - http://www.mathworks.com/matlabcentral/fileexchange/23893-face-detection---recognition-system -NL- Self -**` iOS Published Game`[PROJECT_TITLE]** -NL- - Developed an iOS game via Xcode in spare time by self studying Objective-C and SpriteKit -NL- - Investigated different advertisement platforms and integrated both iAd and AdMob -NL- - Localised the game into Chinese, Spanish and Hindi and added support for GameCenter and ReplayKit -NL- - Used instrumentation tools to narrow down memory leakage, low fps issues etc -NL- - Investigated different marketing approaches for the app ~3k downloads -NL- - https://itunes.apple.com/us/app/run2earth/id983977895?mt=8 -NL- **`MSc`[EDUCATION_DEGREE]** –**` Android based Treasure Hunt app`[PROJECT_TITLE]** -NL- - Developed a treasure hunt Android app for one of the **`MSc`[EDUCATION_DEGREE]** modules via Android Studio -NL- - https://github.com/agarwalmukund/androidTreasureHunt -NL- **`MSc`[EDUCATION_DEGREE]** – **`Semantic Sensor Sytem`[PROJECT_TITLE]** -NL- - Improved a Semantic Sensor/Device Description system for one of the **`MSc`[EDUCATION_DEGREE]** modules http://tinyurl.com/n9smnzu -NL- **`MSc`[EDUCATION_DEGREE]** -**` Symbian Qt`[PROJECT_TITLE]** -NL- - Developed several small apps for one of the **`MSc`[EDUCATION_DEGREE]** modules using Symbian Qt SDK http://tinyurl.com/ng5fjay -NL- **`EDUCATION, CERTIFICATION & AWARDS`[EDUCATION_HEADING]** -NL- Dates Attended Institution -NL- Degree -NL- Location -NL- 10/2012 - 09/2014 **`University of Surrey`[EDUCATION_INSTITUTE]** **`MSc`[EDUCATION_DEGREE]** **`Mobile and Satellite Communications`[EDUCATION_COURSE]** (Part time) 1st -NL- Surrey, UK -NL- 10/2005 - 06/2009 University of Bristol **`BEng`[EDUCATION_DEGREE]** Hons **`Electronic & Communications Engineering`[EDUCATION_COURSE]** 2:1 -NL- Bristol, UK -NL- 05/2005 - 06/2005 **`British Council`[EDUCATION_DEGREE]** -NL- A-Level (**`Cambridge Int. Examinations`[EDUCATION_INSTITUTE]**) (Self studied) -NL- New Delhi, India -NL- 11/2002 - 09/2004 International School AS-Level and IGCSE (**`Cambridge Int. Examinations`[EDUCATION_INSTITUTE]**) -NL- Mahe, Seychelles -NL- **`HOBBIES`[OTHERS_HEADING]** -NL- Badminton, Cricket, Running, Basketball, Swimming -NL- Jason Adams -NL- Certiﬁcation Project Manager -NL- **`Apple`[EMPLOYER_COMPANY_NAME]** UK Ltd. -NL- 2 Furzeground Way, Stockley Park -NL- Uxbridge, UB11 1BB -NL- January 5th, 2012 -NL- To whom it may concern: -NL- **`Mukund Agarwal`[NAME]** worked in iOS carrier certiﬁcation team as Project Specialist Engineer. In this role he was -NL- responsible for supporting the engineering project management team, in a technical capacity. I worked with -NL- Mukund for just over a year. -NL- I’m unable to go into speciﬁcs of the projects he was involved in, but Mukund showed a talent for grasping -NL- complex technical challenges and resolving them by himself in a fast changing and challenging environment -NL- that characterises the **`Apple`[EMPLOYER_COMPANY_NAME]** EMEIA wireless certiﬁcation. In this role the ability to work with others multi task -NL- and be a self starter is critical. Overall he has good technical ability, complete complex tasks in a timely -NL- manner and a good team player as well. -NL- Given his outstanding abilities as described above, I do not hesitate to recommend him highly for employment, -NL- postgraduate studies, or any other technical and scientiﬁc opportunities that he would like to seek. If I can of -NL- any further assistance in this matter, please contact me at the above contact information. -NL- Sincerely yours, -NL- Jason Adams -NL- Jafar Mohseni, Ph.D. -NL- Senior Staff Engineer, Manager -NL- **`Qualcomm`[EMPLOYER_COMPANY_NAME]**. -NL- Q-207F, 6455 Lusk Blvd -NL- San Diego, CA 92121-2779, USA -NL- +1-858-658-3569 -NL- jmohseni@qti.qualcomm.com -NL- September 4, 2008 -NL- To whom it may concern: -NL- This is to confirm that Mr. **`Mukund Agarwal`[NAME]** was employed with **`Qualcomm`[EMPLOYER_COMPANY_NAME]** U.K. Ltd. From June 2007 to August 2008 as -NL- an Engineering Intern in the Systems Engineering team, reporting directly to me. -NL- During his 14 months of employment with **`Qualcomm`[EMPLOYER_COMPANY_NAME]** U.K. Ltd. Mr. Agarwal worked on an impressive variety of projects -NL- in the design, development, and commercialization of software and chips for GSM\GPRS\EDGE mobile communication -NL- systems. His assignments involved writing new scripts and programs in different languages, simulating the performance -NL- of our design and presenting the results, lab work and verification, and commercialization field testing. He learned, or -NL- significantly improved his knowledge of, GSM standard, C, C++, MATLAB, Perl, Unix, **`Qualcomm`[EMPLOYER_COMPANY_NAME]**’s internal software -NL- tools and hardware prototypes, and network simulators and various other equipment in the lab. -NL- I found Mr. Agarwal to be a quick and enthusiastic learner. He has a great attitude towards his work and outstanding work -NL- ethics. This combined with his intelligence and aptitude proved very valuable to our team. He managed to deliver all of -NL- his assignments in a timely manner. He proved that he could deliver results efficiently even under the pressure of a heavy -NL- workload. He has great communication skills, and his documents and presentations were of top quality. He showed to be -NL- very proactive and was eager to take on new assignments, even when not asked for, to expand his knowledge and skill set. -NL- Last, but not least, to note is his pleasant personality and his ability to work very well within a team and receive feedback -NL- and follow directions. Mr. Agarwal was considered a superstar when compared to his peer group of other interns. -NL- Given Mr. Agarwal’s outstanding abilities as described above, I do not hesitate to recommend him highly for employment, -NL- postgraduate studies, or any other technical and scientific opportunities that he would like to seek. If I can of any further -NL- assistance in this matter, please contact me at the above contact information. -NL- Sincerely yours, -NL- Jafar Mohseni -NL- 